Welcome

Welcome to Long Filenames Finder

Welcome to Long Filenames Finder: the easiest way to find and shorten filenames that are too long to be backed up to CD-R (or CD-RW).

Screen shot

Many CD-R mastering programs limit the length of the filenames that can be stored on the CD-R. In some cases, this length is as short as 62 characters. Your files can easily have names that exceed the limit, especially for multimedia files such as MP3 that contain artist, album, title, track number information. Before backing up to CD-R, you must rename all your files so that none of the filenames exceed the limit.

Never before has this been so easy.


Finding Filenames that are too long

The two main sections: Find parameters, and Found files
Œ | Find Parameters - specify the starting folder that you are going to backup to CD-R. Also specify the maximum permissible file length. Then click Go! The program searches the starting folder and all folders under it, reporting all filenames that are longer than the limit.
 | Found Files - After the search has completed, the list at the bottom contains the filenames that are too long. For each file, the Name, Length (of the filename), and Location on your hard disk are displayed.


Starting the Edit

You can quickly rename files just by editing their names in the list. Just click on

the filename twice; or, select it, then press RETURN or F2:

After selecting the filename and pressing F2 (or RETURN), you can edit the filename.


Shortening the filename

We made the filename shorter by deleting "Have Yourself A Merry Little Christmas"


Ending the Edit

Press RETURN or ESC to end the edit - the surrounding edit rectangle disappears.

Press ESC to change your mind and leave the filename as it was originally.

Press RETURN if you want to keep the new name. Pressing RETURN causes the file to be renamed on your disk. Also, note that the Length column is updated to 32, showing the length of the new name.

If there are additional files in the list, the next filename would be edited automatically, allowing you to quickly move through the list. Press ESC to stop editing.


Verifying all filenames are short enough

After shortening all your filenames, we recommend you click Go! again. If no files are found, you can rest assured that they are all short enough to be burned.

When no files are found, proceed to burn your CD-R.